Package com.avaya.clientservices.contact.fields

## Class EditableContactDoubleField

- java.lang.Object
- - com.avaya.clientservices.contact.fields.ContactField
  - - com.avaya.clientservices.contact.fields.ContactDoubleField
    - - com.avaya.clientservices.contact.fields.EditableContactDoubleField

- All Implemented Interfaces:
    `BaseContactField`

      public class EditableContactDoubleField
      extends ContactDoubleField

  The EditableContactDoubleField class extends the ContactDoubleField class to provide the application with the ability to edit a double field in a contact. The editable version of a contact field is obtained from the `EditableContact` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `void` | `setIsEmpty​(boolean isEmpty)` | Sets value of isEmpty field
    `void` | `setValue​(double value)` | Sets double value stored in this field.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.avaya.clientservices.contact.fields.ContactDoubleField

      `getValue, hashCode, isEmpty`

    - ### Methods inherited from class com.avaya.clientservices.contact.fields.ContactField

      `getCapability, getContactProviderSourceType, setContactProviderSourceType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### setValue

          public void setValue​(double value)

      Sets double value stored in this field.
      Parameters:
        `value` - value to be set.

    - #### setIsEmpty

          public void setIsEmpty​(boolean isEmpty)

      Sets value of isEmpty field
      Parameters:
        `isEmpty` - new vlue of isEmpty field

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `ContactDoubleField`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ContactDoubleField`